# Custom Banners

Plugin allows to create infinite amount of custom banners

The plugin is published with 4 example folders.

In order to successfully add custom banners into the game, you will need to create folders with 3 dinstict files:
- texture.png
- icon.png
- banner.yml

The plugin will read these 3 files, and generate the necessary information to create a new banner prefab.

## Alt Banner
version 1.0.2

Inside the banner.yml, there is a new option, alt_banner

if set to true, the plugin will use the new mesh that allows for non-mirrored banners, it will unforunately not have the nice wave effect you find on the vanilla banners.

Find the new folder: Norse to find example of our to create textures that match the format.

## Server Sync

If plugin is loaded on server, the yml file is read and shared with clients in order to dictate the recipe.

Server requires to have the texture.png and icon.png as well.

Recipes cannot be manipulated during run-time.

## Example YML

```yml
prefab_name: piece_banner_bear
display_name: Banner Bear
description: The banner for the bear tribe
category: Furniture
alt_banner: false
recipe:
- m_prefabName: FineWood
  m_recover: true
  m_amount: 2
  m_amountPerLevel: 1
  m_extraAmountOnlyOneIngredient: 0
- m_prefabName: LeatherScraps
  m_recover: true
  m_amount: 2
  m_amountPerLevel: 1
  m_extraAmountOnlyOneIngredient: 0
- m_prefabName: Coal
  m_recover: true
  m_amount: 4
  m_amountPerLevel: 1
  m_extraAmountOnlyOneIngredient: 0
- m_prefabName: Chitin
  m_recover: true
  m_amount: 2
  m_amountPerLevel: 1
  m_extraAmountOnlyOneIngredient: 0
```

## Changelog
```
1.0.0 - Initial Release
1.0.1 - Added a redundancy method to make sure banners appear on every building item instead of just the vanilla hammer
1.0.2 - Added new mesh that allows for banners that don't require to mirror
1.0.3 - Added run-time configurability
1.0.4 - Readme file didn't save >>
```
![](https://i.imgur.com/4lNh6Jb.png)
![Imgur](https://i.imgur.com/eG7Zivz.png)

## Example Textures
![](https://i.imgur.com/3mppNw3.png)
![](https://i.imgur.com/KYCCzoQ.png)

## Contact information
For Questions or Comments, find <span style="color:orange">Rusty</span> in the Odin Plus Team Discord

[![https://i.imgur.com/XXP6HCU.png](https://i.imgur.com/XXP6HCU.png)](https://discord.gg/v89DHnpvwS)

Or come find me at the [Modding Corner](https://discord.gg/fB8aHSfA8B)

##
If you enjoy this mod and want to support me:
[PayPal](https://paypal.me/mpei)

<span>
<img src="https://i.imgur.com/rbNygUc.png" alt="" width="150">
<img src="https://i.imgur.com/VZfZR0k.png" alt="https://www.buymeacoffee.com/peimalcolm2" width="150">
</span>
